Bug 1312117 - qupzilla: FTBFS in rawhide
qupzilla: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qupzilla (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 14:03 EST by Raphael Groner
Modified: 2016-02-25 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version: qupzilla-1.9.99-0.9.20160225gitff0a8898616e1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 18:27:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2016-02-25 14:03:46 EST
Description of problem:
Package qupzilla fails to build from source in rawhide.

Version-Release number of selected component (if applicable):
1.9.99-0.7.20160127git06b2414d801eb.fc24

Steps to Reproduce:
koji build --scratch f25 qupzilla-1.9.99-0.7.20160127git06b2414d801eb.fc24.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/qupzilla
Comment 1 Kevin Kofler 2016-02-25 18:24:24 EST
It is completely expected that this old QupZilla snapshot does not build (nor run, by the way) against the new QtWebEngine. There is an incompatible API change between QtWebEngine 5.6 beta and RC (as is normal for new APIs introduced in 5.6, they are only stable once 5.6.0 is released), old QupZilla snapshots need the old QtWebEngine and do not build with the new one, new QupZilla snapshots need the new QtWebEngine and do not build with the old one. I already updated it in dist-git, but Koschei tried to build from the outdated SRPM.
Comment 2 Kevin Kofler 2016-02-25 18:26:31 EST
(In other words, this report is just a waste of my time!)

And for what it's worth, what I had in dist-git also failed to build due to another reason, I now imported yet another new snapshot that should fix that, too.
Comment 3 Kevin Kofler 2016-02-25 18:27:45 EST
qupzilla-1.9.99-0.9.20160225gitff0a8898616e1.fc25 builds now (pending ARM).

Note You need to log in before you can comment on or make changes to this bug.